#ifndef _CQUITBUTTON_HPP_
#define _CQUITBUTTON_HPP_

/*** SDL Header Files ***/
#include "SDL.h"

/*** TrooperEngine DLL Header Files ***/
#include "TrooperEngine.hpp"

/*** Custom Header Files ***/
#include "../cCourt.hpp"

namespace Input {
	class cQuitButton : public InputEngine::cKey
	{
	public:
		cQuitButton( SDL_Keycode key, Equipment::cCourt** court);
		virtual ~cQuitButton();

		///Funtions
		/* Call if the key is pressed */
		void KeyPress();
		/* Call if the key is up */
		void KeyUP();
		/* Call if the key is down */
		void KeyDown();

	private:
	private:
		Equipment::cCourt** mpp_court;//
	};/// END CLASS DEFINITION cQuitButton
}/// END NAMESPACE DEFINITION Input
#endif/// END IFNDEF _CQUITBUTTON_HPP_